今天运行程序的时候出现了:

You are using pip version 10.0.1, however version 18.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

对于很少用python的我,瞬间蒙了,尝试了很多方法之后才解决。希望分享给大家,我的解决方法吧

You are using pip version 10.0.1, however version 18.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

说明已经更新了,或者说pycharm认为它已经更新了,但是由于一些问题,其实并不是真正的更新了。

提醒一下大家,更新的时候最好使用命令行操作。

我使用命令行输入python -m pip install --upgrade pip之后,显示的是:

也就是说已经更新了,可以在这个路径下找到,然后可以把site-packages(18.1)这个给删掉,用命令行重新安装:

安装成功了,这样就可以运行啦!

不过有时候用命令行安装可能会出现权限不够,最好是用管理员身份运行。

标签智能推荐:

解决Windows下pythonpip命令无法使用的问题

中 => 一路确定接下来重新打开命令提示符(Win+R键输入cmd回车)执行python,会看到能够运行python  二. pip命令找不到pip命令是安装python后自动安装的命令,同上面一样把pip的安装路径加入到环境变量中,这里pip的安装路径一般在python启动文件的同级目录下的Scripts文件中同样的复制安装路径到环境变量中

pip安装GeoIP时报fatal error: GeoIP.h: No such file or directory

\n'"'"');f.close();exec(compile(code,__file__,'"'"'exec'"'"'))'install--record/tmp/pip-record-i0zjj460/install-record.txt--single-version-externally-managed--compile--install-headers/usr/local/include

pip Anaconda3 安装目录

piplist查看所以安装的包使用pip安装完包后,只需再执行一次命令pipinstallxx,就会显示安装路径使用pipfreeze命令可以查看安装了那些包  从原地址复制到Anaconda3。Python安装目录:pip--version查看pip安装路径:python-msite 更改pip安装目录python-m site-help按照目录打开sit

kali安装python2、python3以及对应的pip

kali自带python2,python3python--version#查看python版本安装pipwgethttps://bootstrap.pypa.io/pip/2.7/get-pip.py  #下载pippythonget-pip.py  #安装pippython-mpip-V   #查看安装pip的版本python

python安装ldap报错

.error:command'gcc'failedwithexitstatus1----------------------------------------ERROR:Commanderroredoutwithexitstatus1:/usr/local/bin/python3.7-u-c'importsys,setuptools,tokenize;sys.argv[0]='"'"'/tmp/

python版本下,使用pip安装第三方库

先安装有Python3.5.2,后又安装了Python2.7.13(并重命名了Python27文件夹下python.exe为python2.7.13.exe),试图使用pip安装第三方库。测试1:cmd命令窗口输入pip-V(或pip-version)查看默认调用的pip的路径所以不能直接使用pipinstall命令安装对应python2.7.13版本的第三方库。方法:python2.7.13-m

Python中的包管理工具pip的基本使用

1、包管理工具pip的安装pip是Python包管理工具,该工具提供了对Python包的查找、下载、安装、卸载的功能。Python2.7.9+或Python3.4+以上版本都自带pip工具,只要安装了上述版本的python,则已经自带了pip工具。检查是否安装成功:pip-Vpip--version#Python2.x版本命令pip3--version#Python3.x版本命令1.1、安装pip

pycharm安装第三方库时报错: Try to run this command from the system terminal. Make sure that you use the correct version of 'pip' installed for your Python interpreter located at

onof'pip'installedforyourPythoninterpreterlocatedat'D:\Programming\Python_Virtaul_Env\Python_Study\newvenv\Scripts\python.exe'.原因和解决办法1.pycharm里安装的pip与电脑中按照的pip版本不一致 1)setting->project-project

Python pip 安装与使用

o/get-pip.py-oget-pip.py#下载安装脚本$sudopythonget-pip.py#运行安装脚本,在Python2.x中注意:用哪个版本的Python运行安装脚本,pip就被关联到哪个版本,如果是Python3则执行以下命令:$sudopython3get-pip.py#运行安装脚本。一般情况pip对应的是Python2.7,pip3对应的是Python3.x。部分Linux

PIP升级或更新、PIP 升级 或 更新 失败

一、常见失败原因1、文件访问权限问题。2、网络访问问题,下载超时二、解决方案1、使用管理员命令行 2、设置更新网址到国内的镜像。(1)在pip文件夹中创建配置文件使用命令找到pip文件夹地址,命令:pip--version 在指定文件夹创建文件,文件名:pip.ini。在文件中设定以下内容。       &n